<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="yes" encoding="ISO-8859-1"/>  
  <xsl:template match="/">
  <xsl:apply-templates select="statistics"/></xsl:template>
  <xsl:template match="statistics">
    <html>
    <head>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <title>Untitled Document</title>
    <style type="text/css">
      .stats-title {
      background-color: #ddddff;
      border: 1px solid #cccccc;
      font-size: 150%;
      }
      .stats-subtitle {
      background-color: #ddddff;
      border: 1px solid #cccccc;
      font-size: 100%;
      }

      .stats-item {
      background-color: #eeeeff;
      border: 1px solid #cccccc;
      font-size: 100%;
      text-align: center;
      }

      .stats-item-col {
      background-color: #eeeeff;
      border: 1px solid #cccccc;
      font-size: 100%;
      text-align: center;
      width:200px;
      }

      .stats-table {
      background-color: #ffffdd;
      border: 1px dotted #cccccc;
      }

      .stats-pane {
      background-color: #ffffdd;
      border: 1px solid #cccccc;
      padding: 5px;
      text-align: left;
      }

      .stats-cell {
      background-color: #ffffdd;
      border: 1px solid #cccccc;
      padding: 5px;
      text-align: center;
      }
	  
      .stats-date {
      font-style:italic;
      font-size:70%;
      }
	  
      table {
      padding:0px;
      border:0px;
	  border-collapse:collapse;
      }

    </style>
    </head>
    <body>
    <table width="100%" cellspacing="20">
      <tr>
        <th width="100px" scope="col"><img src="../statistics.jpg" width="64" height="64" /></th>
        <th width="100%" scope="col"><div class="stats-title">Statistiche dell'anno <xsl:value-of select="@year"/></div></th>
      </tr>
    </table>
    <table width="400" style="text-align:left">
      <tr>
      <td class="stats-pane" scope="col">
        Totale Pioggia Anno : <xsl:value-of select="total-rainfall"/><br/>
        Giorni con Pioggia  : <xsl:value-of select="nb-days-of-rainfall"/><br/>
        Giorni Freddi con temperatura inferiore a (&lt;0C): <xsl:value-of select="nb-days-of-freeze"/><br/>
        Giorni Caldi con temperatura superiore a  (&gt;30C): <xsl:value-of select="nb-days-of-heat"/><br/>
		Notti con temperatura superiore a (&gt;20C) : <xsl:value-of select="nb-tropical-nights"/>
      </td>
    </tr>

  </table>
  <br/>

  <table width="100%">
    <tr>
      <th scope="col" style="padding-right:10px;padding-left:10px;">
        <img src="../temperature.jpg" width="32" height="32" />
      </th>
      <th width="100%" scope="col">
        <div class="stats-subtitle">
          Temperatura - Pressione  - Umidit - Radiazione Solare
        </div>
      </th>
    </tr>
  </table>

  <table width="100%">
    <tr>
      <td></td>
        <td class="stats-item">Minima</td>
        <td class="stats-item">Massima</td>
        <td class="stats-item">Media</td>
        <td class="stats-item">Max rate (/h)</td>
      </tr>
    <tr>
      <td class="stats-item-col">Temperatura</td>
      <td class="stats-cell">
        <xsl:value-of select="outdoor_temperature/min"/>
        <div class="stats-date">
          <xsl:value-of select="outdoor_temperature/min-date-text"/>
        </div>
      </td>
      <td class="stats-cell">
        <xsl:value-of select="outdoor_temperature/max"/>
        <div class="stats-date">
          <xsl:value-of select="outdoor_temperature/max-date-text"/>
        </div>
      </td>
      <td class="stats-cell">
        <xsl:value-of select="outdoor_temperature/mean"/>
      </td>
      <td class="stats-cell">
        <table width="100%" span="2">
          <tr>
            <td style="text-align: center;">
              <xsl:value-of select="outdoor_temperature/max-pos-rate"/>
              <div class="stats-date">
                <xsl:value-of select="outdoor_temperature/max-pos-rate-date-text"/>
              </div>
            </td>
            <td style="text-align: center;">
              <xsl:value-of select="outdoor_temperature/max-neg-rate"/>
              <div class="stats-date">
                <xsl:value-of select="outdoor_temperature/max-neg-rate-date-text"/>
              </div>
            </td>
          </tr>
        </table>
      </td>
    </tr>
    <tr>
      <td class="stats-item-col">Tn/Tx</td>
      <td class="stats-cell">
        <xsl:value-of select="tn-min"/>
        <div class="stats-date">
          <xsl:value-of select="tn-min-date-text"/>
        </div>
      </td>
      <td class="stats-cell">
        <xsl:value-of select="tx-max"/>
        <div class="stats-date">
          <xsl:value-of select="tx-max-date-text"/>
        </div>
      </td>
      <td class="stats-cell">-</td>
      <td class="stats-cell">-</td>
    </tr>
      <tr>
        <td class="stats-item-col">Pressione</td>
        <td class="stats-cell"><xsl:value-of select="relative_pressure/min"/>
          <div class="stats-date"><xsl:value-of select="relative_pressure/min-date-text"/></div></td>
        <td class="stats-cell"><xsl:value-of select="relative_pressure/max"/>
          <div class="stats-date"><xsl:value-of select="relative_pressure/max-date-text"/></div></td>
        <td class="stats-cell"><xsl:value-of select="relative_pressure/mean"/></td>
        <td class="stats-cell">
          <table width="100%" span="2">
            <tr>
              <td style="text-align: center;">
                <xsl:value-of select="relative_pressure/max-pos-rate"/>
                <div class="stats-date">
                  <xsl:value-of select="relative_pressure/max-pos-rate-date-text"/>
                </div>
              </td>
              <td style="text-align: center;">
                <xsl:value-of select="relative_pressure/max-neg-rate"/>
                <div class="stats-date">
                  <xsl:value-of select="relative_pressure/max-neg-rate-date-text"/>
                </div>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="stats-item-col">Umidit</td>
        <td class="stats-cell"><xsl:value-of select="outdoor_humidity/min"/>
          <div class="stats-date"><xsl:value-of select="outdoor_humidity/min-date-text"/></div></td>
        <td class="stats-cell"><xsl:value-of select="outdoor_humidity/max"/>
          <div class="stats-date"><xsl:value-of select="outdoor_humidity/max-date-text"/></div></td>
        <td class="stats-cell"><xsl:value-of select="outdoor_humidity/mean"/></td>
        <td class="stats-cell">
          <table width="100%" span="2">
            <tr>
              <td style="text-align: center;">
                <xsl:value-of select="outdoor_humidity/max-pos-rate"/>
                <div class="stats-date">
                  <xsl:value-of select="outdoor_humidity/max-pos-rate-date-text"/>
                </div>
              </td>
              <td style="text-align: center;">
                <xsl:value-of select="outdoor_humidity/max-neg-rate"/>
                <div class="stats-date">
                  <xsl:value-of select="outdoor_humidity/max-neg-rate-date-text"/>
                </div>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="stats-item-col">Dew point (Punto di Rugiada )</td>
        <td class="stats-cell"><xsl:value-of select="dew_point/min"/>
          <div class="stats-date"><xsl:value-of select="dew_point/min-date-text"/></div></td>
        <td class="stats-cell"><xsl:value-of select="dew_point/max"/>
          <div class="stats-date"><xsl:value-of select="dew_point/max-date-text"/></div></td>
        <td class="stats-cell"><xsl:value-of select="dew_point/mean"/></td>
        <td class="stats-cell">
          <table width="100%" span="2">
            <tr>
              <td style="text-align: center;">
                <xsl:value-of select="dew_point/max-pos-rate"/>
                <div class="stats-date">
                  <xsl:value-of select="dew_point/max-pos-rate-date-text"/>
                </div>
              </td>
              <td style="text-align: center;">
                <xsl:value-of select="dew_point/max-neg-rate"/>
                <div class="stats-date">
                  <xsl:value-of select="dew_point/max-neg-rate-date-text"/>
                </div>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="stats-item-col">Wind chill</td>
       <td class="stats-cell"><xsl:value-of select="wind_chill/min"/>
		<div class="stats-date"><xsl:value-of select="wind_chill/min-date-text"/></div></td>
        <td class="stats-cell">-</td>
        <td class="stats-cell">-</td>
        <td class="stats-cell">-</td>
      </tr>
      <tr>
        <td class="stats-item-col">Indice Humidex</td>
        <td class="stats-cell">-</td>
        <td class="stats-cell">
           <xsl:value-of select="heat_index/max"/>
		  <div class="stats-date"><xsl:value-of select="heat_index/max-date-text"/></div></td>
        <td class="stats-cell">
		<xsl:value-of select="heat_index/mean"/></td>
        <td class="stats-cell">-</td>
      </tr>
    </table>
      <br/>
      <img>
        <xsl:attribute name="src">
          ../<xsl:value-of select="@year"/>/graph-year-1.png</xsl:attribute>
      </img>
      <br/>
      <br/>
      <table width="100%">
        <tr>
          <th scope="col" style="padding-right:10px;padding-left:10px;">
            <img src="../rainfall.jpg" width="32" height="32" />
          </th>
          <th width="100%" scope="col">
            <div class="stats-subtitle">
              Pioggia
            </div>
          </th>
        </tr>
      </table>

      <table width="100%">
        <tr>
          <td class="stats-item-col">Max rate</td>
          <td class="stats-cell">
            <xsl:value-of select="relative_rainfall/max-pos-rate"/>
            <div class="stats-date">
              <xsl:value-of select="relative_rainfall/max-pos-rate-date-text"/>
            </div>
          </td>
        </tr>
        <tr>
          <td class="stats-item-col">Massima Pioggia in 1 Ora</td>
          <td class="stats-cell">
            <xsl:value-of select="rainfall_1h/max"/>
            <div class="stats-date">
              <xsl:value-of select="rainfall_1h/max-date-text"/>
            </div>
          </td>
        </tr>
        <tr>
          <td class="stats-item-col">Massima Pioggia in 24 Ore</td>
          <td class="stats-cell">
            <xsl:value-of select="rainfall_24h/max"/>
            <div class="stats-date">
              <xsl:value-of select="rainfall_24h/max-date-text"/>
            </div>
          </td>
        </tr>
      </table>
      <br/>
      <img>
        <xsl:attribute name="src">
          ../<xsl:value-of select="@year"/>/graph-year-2.png</xsl:attribute>
      </img>
      <br/>
      <br/>
      <table width="100%" >
        <tr>
          <th scope="col" style="padding-right:10px;padding-left:10px;">
            <img src="../wind.jpg" width="32" height="32" />
          </th>
          <th width="100%" scope="col">
            <div class="stats-subtitle">
              Vento
            </div>
          </th>
        </tr>
      </table>
      
    <table width="100%">
      <tr>
        <td></td>
        <td class="stats-item">Massima</td>
        <td class="stats-item">Media</td>
      </tr>
      <tr>
        <td class="stats-item-col">Velocit</td>
        <td class="stats-cell"><xsl:value-of select="wind_speed/max"/>
          <div class="stats-date"><xsl:value-of select="wind_speed/max-date-text"/></div></td>
        <td class="stats-cell"><xsl:value-of select="wind_speed/mean"/></td>
      </tr>
      <tr>
        <td class="stats-item-col">Raffica</td>
          <td class="stats-cell"><xsl:value-of select="wind_gust/max"/>
          <div class="stats-date"><xsl:value-of select="wind_gust/max-date-text"/></div></td>
        <td class="stats-cell"><xsl:value-of select="wind_gust/mean"/></td>
      </tr>
      <tr>
        <td colspan="3" class="stats-cell" style="text-align:left;">Media Direzione: <xsl:value-of select="wind_direction/mean"/>
        </td>
      </tr>
    </table>
      <br/>
      <img>
        <xsl:attribute name="src">
          ../<xsl:value-of select="@year"/>/graph-year-4.png</xsl:attribute>
      </img>
    </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
